# Generated by Django 5.1.2 on 2024-12-10 11:49

from django.db import migrations


def article_to_doc_selector(apps, schema_editor):
    BookStyle = apps.get_model("book", "BookStyle")
    for style in BookStyle.objects.all():
        style.contents = style.contents.replace(".article-", ".doc-")
        style.save()


def doc_to_article_selector(apps, schema_editor):
    BookStyle = apps.get_model("book", "BookStyle")
    for style in BookStyle.objects.all():
        style.contents = style.contents.replace(".doc-", ".article-")
        style.save()


class Migration(migrations.Migration):
    dependencies = [
        ("book", "0016_book_docx_template"),
    ]

    operations = [
        migrations.RunPython(
            article_to_doc_selector,
            doc_to_article_selector,
        ),
    ]
